We’re rewarding the question askers & reputations are being recalculated! Read more.

All Questions

Tagged with
Filter by
Sorted by
Tagged with
0
votes
0answers
11 views

How can i solve or move the python packages to python3.7/dist-packages error?

Hi, I am trying to move the pyopengv.cpython-37m-x86_64-linux-gnu.so package to the second image python3/dist-packages directory! ( py I used the sudo ln -s command to symlink??? and i can see the ...
0
votes
0answers
18 views

Cythonize into a python3.6 wheel on Ubuntu 14

For legacy reasons, I have a mix of C/C++ and python code that can only be compiled on Ubuntu 14. The python code is compatible with python3.6. We have been generating python3.6 compatible pip wheels ...
2
votes
2answers
43 views

Python doesn't see packages with Jupyter Notebook

I use Jupyter Notebook with a virtual environment. I have a dependency installed, but can't import it: cell 1: !pip3 install sent2vec Requirement already satisfied: sent2vec in venv/lib/python3.7/...
1
vote
0answers
12 views

opengv installation not in pip3 list

I have a question. I followed the http://laurentkneip.github.io/opengv/ installation manual. And i did correct the path by using the command cmake ../opengv -DBUILD_PYTHON=ON -...
0
votes
0answers
17 views

Installing wxPython on WSL (with GTK+2)

I want to install the wxPython package on the Windows Subsystem for Linux (with Ubuntu on Windows 10). First I tried to install it via pip like this: python -m pip install wxpython That fails during ...
0
votes
0answers
20 views

Error while installing spacy library in pycharm virtual environment in windows 10

ERROR: Command errored out with exit status 1: command: 'f:\project\nlpprojects\<projectName>\tenv\scripts\python.exe' 'f:\project\nlpprojects\<projectName>\tenv\lib\site-packages\pip' ...
0
votes
0answers
22 views

Error when installing Spacy using PIP - exit status 1

I am trying to install SpaCy in Anaconda prompt for Python 3.7.3 and getting error below. I have upgraded pip (to 19.3.1) and setuptools (to 41.6.0) to latest version. I need to use proxy and dont ...
-1
votes
0answers
8 views

Trouble when installing queueing-tool (ERROR: Command errored out with exit status 1)

I've been trying to install queueing-tool which is a python module for simulating networks queues which you can find below. I'm on Python 3.7 and I tried running this command which tries to install ...
0
votes
0answers
13 views

pip-review :: ERROR: Command errored out with exit status 1:

I want to update all Python modules. On StackOverflow I found what I think is the best solution at this page. Unfortunately if I run: $ pip install pip-review $ pip-review --local --interactive ...
0
votes
1answer
43 views

Pip install fails at building wheel at subpackage?

Somewhat a beginner at coding. I was looking to install a package using pip install that I was able to get before I updated my python (currently have Python 2.7.16 and 2.8.0 on my Mac). The package ...
2
votes
0answers
44 views

Not able to install packages with pip3 in python3 [ERROR: Could not find a version that satisfies the requirement]

I tried to install some python3 packages using pip3, but after typing pip3 install <package_name> Terminal displays: ERROR: Could not find a version that satisfies the requirement package_name ...
0
votes
0answers
20 views

OSX Catalina GCC/PIP Issue

I'm trying to install a tool through pip3 onto my Mac but I get the following error: compilation terminated. error: command 'gcc' failed with exit status 1** I've noticed that others have ...
0
votes
1answer
53 views

Matplotlib: Command errored out with exit status 1

I want to install the matplotlib package for Python with pip install matplotlib in the command prompt but suddenly the lines get red and the next error appears: ERROR: Command errored out with exit ...
0
votes
1answer
23 views

ModuleNotFoundError: No module named 'selenium' You are using pip version 9.0.1, however version 19.3.1 is available error using selenium using Python

I wrote a python script and using selenium driver. I am getting the below error: from selenium import webdriver ModuleNotFoundError: No module named 'selenium' When I run the command: pip ...
1
vote
1answer
13 views

ERROR: Failed building wheel for psycopg2 - MacOS Mojave 10.14.16 python 3

I got this issue when I try to install psycopg2 $ pip install psycopg2 ... . . ERROR: Failed building wheel for psycopg2 This happens also if a try $ pip install psycopg2 I am using virtualenv in ...
-2
votes
1answer
18 views

error installing while “hmac” package in python 3.7

when iam installing HMAC package using pip install hmac command in base environment I tried updating pip, setup tools. But all are updated to latest version. but no use. pip install hmac error:...
0
votes
0answers
16 views

Want to install few libraries on linux using requirement.txt and setup.py using maven pom.xml

I am trying to install all libraries as mentioned in setup.py with the help of maven +pom.xml. but when I build I get an error saying "Can not run pip in this directory." Can someone please help me ...
1
vote
1answer
39 views

ERROR: gevent 1.4.0 has requirement greenlet>=0.4.14, but you'll have greenlet 0.4.13 which is incompatible

I am using Windows 10, I install Odoo from source code (https://github.com/odoo/odoo/tree/aa0554d224337e1d966479a351a3ed059d297765 ). Python version Python 3.8.0 (tags/v3.8.0:fa919fd, Oct 14 2019, 19:...
0
votes
2answers
35 views

Error after pip upgrade using command “pip3 install --upgrade pip”

My python library pandas,numpy, matplotlib are worked earlier, now I use command pip3 install --upgrade pip for upgrade pip and next "import pandas command is not working". Traceback (most recent ...
0
votes
1answer
19 views

The “pip.main” function no longer exists

I was coding a code for my Arduino UNO, and I followed a tutorial because this was the first time I had used python on a Arduino UNO. The guy in the tutorial used pip.main. I was just trying to get to ...
-1
votes
0answers
13 views

how can i repair python3 pip upgrade issue

I have installed python 3 on Visual Studio code and when i try to upgrade pip through cmd, it show me errors . the following error: ERROR: Could not install packages due to an EnvironmentError: [...
-1
votes
0answers
14 views

How to fix and EFOE error when installing pygame

I have tried to install pygame using pip, but I keep getting the following error message: ERROR: Command errored out with exit status 1: command: 'c:\users\james marshall\appdata\local\...
0
votes
0answers
42 views

Trying to install matplotlib in windows 10 python 3.8 shows fatal error [**SOLVED**] [duplicate]

When I try to install matplotlib on windows 10 for python3.8 I get the following error: Collecting matplotlib Using cached https://files.pythonhosted.org/packages/12/d1/...
0
votes
1answer
192 views

Cannot install opencv-python with pipenv and Python 3.8

I just installed Python 3.8 on my Mac OS X (10.15.1) and was trying to add opencv-python to my pipenv project. I did the following: $> pipenv install opencv-python Installing dependencies from ...
0
votes
1answer
24 views

Python3: Is there any package/function/script to get a reference to a package's metadata (egg-info or dist-info) ON DISK?

I have very little experience with (i.e. don't really know) python but I'm currently trying to produce a mac app bundle for a package (and ideally after, a script to make it reproducible). I've ...
1
vote
1answer
41 views

Can't install DjangoRestFramework using pip3?

I've been trying pip3 install djangorestframework and I've been getting this result: Collecting djangorestframework Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) ...
0
votes
1answer
34 views

Pipenv & lock file - depolyment

I have just started using PIPENV and I found it amazing as I have never used virtual environments before. However, I am still confused with the PIPENV file and the lock file. I understand through ...
0
votes
1answer
42 views

Why do I keep getting errors when I try to install PySide2 on windows PC?

I have been trying to install PySide2 on my PC (Windows 10 64bits) with Python 3.8 installed, but I keep getting errors every time. I used the command pip install PySide2. It is not working for me. ...
0
votes
1answer
42 views

How to fix python3 instalation on linux mint

So I've been using linux mint mate for a while, and everything was working fine. So as I got a new notebook, I installed the new version of linux mint (19.2 - Tina) alongside the windows 10. ...
0
votes
0answers
20 views

error python setup.py egg_info when trying to install shapely

This happens when I try to install Shapely from pip. ERROR: Command errored out with exit status 1: command: 'c:\program files (x86)\python37-32\python.exe' -c 'import sys, setuptools, tokenize;...
0
votes
0answers
27 views

Issues with installing cryptography in python 3.8.0 with custom openssl

I am involved in a project to compile python 3.8 and a certain set of libraries to be deployed in a mixture of RHEL6 & RHEL7 machines. Further, due to the differences of RHEL6 & 7(primarily ...
0
votes
1answer
139 views

Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output

I tried to run pip install spatial-correlation-sampler in mac terminal but got the error - Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output. ...
-2
votes
0answers
13 views

Pyreverse fails to generate any output files, just showing parsing

C:\Users\abhisheksingh75>pyreverse -o dot C:\Users\abhisheksingh75\eclipse-workspace\SplitWise\splitwise.py parsing C:\Users\abhisheksingh75\eclipse-workspace\SplitWise\splitwise.py...
0
votes
2answers
25 views

How do I install alipy?

I'm on a jupyter lab instance and I'd like to install the alipy library. I opened a terminal window and ran pip install alipy and got this error ERROR: Command errored out with exit status 1: ...
0
votes
0answers
56 views

Error installing Jupyter on Windows 10 using pip

I am new to Stack Overflow, so please forgive me for any errors. I am trying to install Jupyter on my Windows 10 machine using command prompt. I have already installed Python(3.8.0). I receive the ...
0
votes
1answer
73 views

Error while trying to install matplotlib on Mac

I have downloaded Python 3.7 and was using my terminal to install matplotlib onto my Mac OS. I tried: pip3 install matplotlib However, I faced the following error: ERROR: Command errored ...
-2
votes
0answers
14 views

How to install PIP for Python 3.6?

I want to code on Visual Studio Code. When I run code, it says: There is no Pip installer available in the selected environment and when I install it on Ubuntu it says E: dpkg was interrupted, ...
0
votes
0answers
8 views

Fatal error C1083: Cannot open include file: 'ft2build.h': No such file or directory [duplicate]

I am trying to install Matplotlib library using Pip installer, but getting below error. I am using Windows 10. I've cross-checked the file (ft2build.h) in my path (C:\Program Files (x86)\GnuWin32\...
1
vote
0answers
56 views

tkinter no module found windows 10

I am trying to run this code from tkinter import * master = Tk() w = Canvas(master, width=40, height=60) w.pack() canvas_height=20 canvas_width=200 y = int(canvas_height / 2) w.create_line(0, y, ...
0
votes
1answer
209 views

Python3.7: error while loading shared libraries: libpython3.7m.so.1.0

I have two versions Python-2.7 , Python-3.5 which I was able to access with python(pip) and python3(pip3) command respectively. Then I have installed an another version of python (i.e 3.7.5). I have ...
4
votes
1answer
86 views

pip vs python -m pip why pip command throws a module object is not callable error

I've seen similar posts like pip install vs python3 -m pip install that does not really clarify this problem. I am new to Python, just following a basic python 3 tutorial where they mention pip as ...
-1
votes
0answers
56 views

python3.8 pip install ssh2-python problem

I am on windows 10 trying to install ssh2-python, mb someone could help me to solve this problem, in cmd I wrote: pip install ssh2-python Pip is up-date and newest version. python version 3.8. ERROR ...
0
votes
3answers
50 views

cannot import name 'box_2d_to_points' from 'util'

I am trying to run the following code in python 3.7 using spyder import numpy as np import freud from util import box_2d_to_points import matplotlib.pyplot as plt data_path = "data/phi065" box_data =...
0
votes
1answer
937 views

How to fix 'ImportError: DLL load failed while importing win32api'

I'm setting up an autoclicker in Python 3.8 and i need win32api for GetAsyncKeyState but it always gives me this error >>> import win32api Traceback (most recent call last): File "<...
0
votes
2answers
24 views

pip installed module points to anaconda path rather than actual path

I have the following python module in my git repo that I checkout and I pip install my_package within an already existing conda environment with the same name my_package. my_package ├── Makefile ├── ...
1
vote
1answer
81 views

Python Pip doesn't work after updating to 19.3.1

After updating to the newest version of pip (19.3.1) with python 3.7.3, I can no longer use pip. When I run pip install package, I get the following error: TypeError: 'module' object is not callable. ...
0
votes
2answers
60 views

Is there a way to import a python package from another python package, as if it was part of the same code?

Let's say that we have python packages package_a and package_b. As a user, I want to be able to say: from package_a.package_b import some_functionality My question is: is there a way to support this ...
3
votes
1answer
63 views

Will pip ever point at python3 as opposed to using pip3?

Will I ever find pip to be installing resources for python 3 in the way that pip3 does? I've been making the assumption that when an upgrade to default to python 3 occurs, pip would also be pointed at ...
4
votes
0answers
173 views

I can't install matplotlib using pip

I am totally new to the Python and I wanted to use a matplotlib for my school project. I tried to install it using pip (pip install matplotlib), but I got a really long and bad-looking error and I don'...
1
vote
0answers
51 views

python script working on Pycharm and cmd but not running when double clicking it

I made a keylogger using pynput and it runs perfectly and as expected on pycharm and when I open it in python IDE then run it from there and when I navigate to the script folder using cmd and run it ...